U++ - Feature #935
ThelDE: Generate command line options for building
11/23/2014 08:38 PM - Sender Ghost

Status: Approved Start date: 11/23/2014
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 100%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

It's possible to generate command line options to use with theide or umk executables.
Currently, there are minor differences between them, like no selectable threading options for theide or showing message box, if build fails
for umk.

Reference for request:
http://www.ultimatepp.org/forums/index.php?t=msg&#38;th=9024

The proposed patch attached.

History

#1 - 11/23/2014 09:44 PM - Sender Ghost

- Status changed from New to Patch ready

#2 - 11/25/2014 02:11 PM - Sender Ghost
- File deleted (CmdBuildOptions.diff)

#3 - 11/25/2014 02:14 PM - Sender Ghost

- File CmdBuildOptions.diff added

Removed unneeded arguments from window constructor. Did some cleanups.

#4 - 12/15/2014 01:27 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Sender Ghost

This is interesting and useful feature, however, maybe it should be rather somehow connected to "Export" command in the output mode?

#5 - 12/15/2014 10:17 PM - Sender Ghost

Currently, it uses "Main package configuration", "Setup -> Be verbose" states and "connected" to selected package as a menu. Also, it could be configured
to be invoked on key combination. In the "Output mode" window some of mentioned features will be not configurable without closing this window. Not to
mention about three opened windows at the same time (if there is no other methods, of course). Either, the "Output mode" window should be redesigned,
e.g. to allow selection of "Main package configuration" and some button to invoke "Command line options" window, at least. | could try to develop such a
prototype, then will see.

#6 - 12/16/2014 01:54 AM - Sender Ghost
- File CmdBuildOptionsOutput.diff added
http://www.ultimatepp.org/forums/index.php?t=msg&#38;th=9024

- Assignee changed from Sender Ghost to Miroslav Fidler

The patch for proposed prototype is ready. Please, take a look.

#7 - 12/16/2014 02:43 PM - Sender Ghost

- File deleted (CmdBuildOptionsOutput.diff)

#8 - 12/16/2014 02:44 PM - Sender Ghost

- File CmdBuildOptionsOutput.diff added

Some non functional changes.

#9 - 12/16/2014 02:48 PM - Sender Ghost

- File deleted (CmdBuildOptionsOutput.diff)

#10 - 12/16/2014 02:48 PM - Sender Ghost
- File CmdBuildOptionsOutput.diff added

#11 - 12/16/2014 03:35 PM - Sender Ghost
- File deleted (CmdBuildOptionsOutput.diff)

#12 - 12/16/2014 03:37 PM - Sender Ghost

- File CmdBuildOptionsOutput.diff added

Added output conversion with NativePath function.
Check for spaces in output and adding quotes, when necessary.
Filter (some) path characters for output.

#13 - 12/16/2014 06:08 PM - Sender Ghost

- File deleted (CmdBuildOptionsOutput.diff)

#14 - 12/16/2014 06:09 PM - Sender Ghost

- File CmdBuildOptionsOutput.diff added

Added ButtonOption with function to omit output.

#15 - 12/17/2014 04:43 AM - Sender Ghost

- File deleted (CmdBuildOptionsOutput.diff)

#16 - 12/17/2014 04:51 AM - Sender Ghost

- File CmdBuildOptionsOutput.diff added

Replaced ButtonOption and Label with Option and SetlLabel("Output:").
Added Serialize virtual method to use with LoadFromGilobal and StoreToGlobal functions to preserve values not changed inside of "Output mode" window.
#17 - 12/17/2014 05:20 AM - Sender Ghost
- File deleted (CmdBuildOptionsOutput.diff)

#18 - 12/17/2014 05:22 AM - Sender Ghost
- File CmdBuildOptionsOutput.diff added

#19 - 12/18/2014 11:59 PM - Sender Ghost
- % Done changed from 0 to 100

#20 - 12/29/2014 10:09 AM - Sender Ghost
- File deleted (CmdBuildOptions.diff)

#21 - 01/02/2015 05:18 PM - Miroslav Fidler
- Status changed from Patch ready to Approved

Files
CmdBuildOptionsOutput.diff 10.9 KB 12/17/2014 Sender Ghost
